Skip to content
Browse files

Cleaning up gem

  • Loading branch information...
1 parent 19ae2b5 commit 8b4300f67dfd7b7e654117a0c452cc148e37fe90 @ezkl committed Apr 12, 2012
Showing with 10 additions and 7 deletions.
  1. +1 −1 .gitignore
  2. +1 −1 .rspec
  3. +5 −1 Gemfile
  4. +3 −4 geo_ips.gemspec
View
2 .gitignore
@@ -16,4 +16,4 @@ test/version_tmp
tmp
.api_key
spec/cassettes
-Gemfile.lock
+Gemfile.lock
View
2 .rspec
@@ -1,2 +1,2 @@
--color
---format progress
+--format Fivemat
View
6 Gemfile
@@ -1,4 +1,8 @@
source 'https://rubygems.org'
-# Specify your gem's dependencies in geo_ips.gemspec
gemspec
+
+group :development, :test do
+ gem 'ZenTest', '~> 4.7.0'
+ gem 'fivemat'
+end
View
7 geo_ips.gemspec
@@ -10,15 +10,14 @@ Gem::Specification.new do |gem|
gem.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
gem.files = `git ls-files`.split("\n")
- gem.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ gem.test_files = `git ls-files -- {spec}/*`.split("\n")
gem.name = "geo_ips"
gem.require_paths = ["lib"]
gem.version = GeoIPs::VERSION
gem.add_runtime_dependency("typhoeus", "~> 0.3.3")
gem.add_runtime_dependency("multi_json")
- gem.add_development_dependency("rspec", "~> 2.8.0")
- gem.add_development_dependency("autotest")
- gem.add_development_dependency("vcr", "~> 2.0.0")
+ gem.add_development_dependency("rspec", "~> 2.9.0")
+ gem.add_development_dependency("vcr", "~> 2.0.1")
end

0 comments on commit 8b4300f

Please sign in to comment.
Something went wrong with that request. Please try again.